Bug 447050 - SB16 not detected (emulated - FC9 on MS VirtualPC) [NEEDINFO]
SB16 not detected (emulated - FC9 on MS VirtualPC)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 09:07 EDT by Miroslav Pragl
Modified: 2009-07-14 13:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
harald: needinfo? (miroslav)


Attachments (Terms of Use)
dmesg (16.90 KB, text/plain)
2008-06-18 12:34 EDT, Miroslav Pragl
no flags Details

  None (edit)
Description Miroslav Pragl 2008-05-17 09:07:02 EDT
Description of problem:
SB16 not detected running FC9 on VirtualPC

Version-Release number of selected component (if applicable):


How reproducible:
Installed FC9 on MS Virtual PC. Everything fine but no sound. Manual modprobe 
snd-sb16.ko works fine.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Driver not loaded -> no sound

Expected results:
Detect and load snd-sb16.ko 

Additional info:
Comment 1 Miroslav Pragl 2008-05-17 09:26:19 EDT
sorry, device ID is ISAPNP\TBA03B0\FFFFFFFF

MP
Comment 2 Harald Hoyer 2008-05-19 04:33:03 EDT
well, blame the kernel if modalias-module-autoloading does not work with isa-pnp.
Comment 3 Dave Jones 2008-05-19 09:36:07 EDT
There's an entry in sb16.c for...

        /* Sound Blaster 16 (Virtual PC 2004) */
        { .id = "tBA03b0", .devs = { {.id="PNPb003" } } },

I wonder if it's a case insensitive match, and maybe Microsoft changed the case
for some reason in later versions of virtual PC.

Jaroslav?
Comment 4 Miroslav Pragl 2008-05-19 10:07:53 EDT
Hello,
Sorry, I overlooked this important error messages on FC9 boot screen:

Decompressing Linux... done.
Booting the kernel.
PCI: 0000:OO:Oc.O: class 401 doesn't match header type 01. Ignoring class. 
isapnp: checksum for device 1 is not valid (0x89)
isapnp: checksum for device 2 is not valid (Oxbe)
Red Hat nash version 6.0.52 starting

Is there a workaround/kernel parameter to ignore these? Meanwhile I 
do "modprobe snd-sb16" in rc.local.

MP


Comment 5 Jaroslav Kysela 2008-06-17 05:56:07 EDT
The checksum lines are just warnings.

Could you attach dmesg after boot? (without added modprobe snd-sb16)?
Comment 6 Miroslav Pragl 2008-06-18 12:34:02 EDT
Created attachment 309758 [details]
dmesg 

attaching dmesg as requested

MP
Comment 7 Jaroslav Kysela 2008-06-19 04:10:52 EDT
It really looks like case match problem. Could you verify what ID is in
/sys/devices/pnp*/*/id files for the audio device? If it's tBA03b0 or TBA03b0.
Comment 8 Miroslav Pragl 2008-06-19 04:44:56 EDT
#cat /sys/devices/pnp1/01:01/card_id
tBA03b0

MP
Comment 9 Jaroslav Kysela 2008-06-19 07:42:37 EDT
It does not look like a kernel problem. Assigning to udev maintainer. I wonder
where you get the ISAPNP\TBA03B0\FFFFFFFF - converting everything to upper case
might fail in this special case.
Comment 10 Harald Hoyer 2008-06-19 08:35:32 EDT
/etc/udev/rules.d/80-drivers.rules:

SUBSYSTEM=="pnp", DRIVER!="?*", ENV{MODALIAS}!="?*", \
  RUN{ignore_error}+="/bin/sh -c '/sbin/modprobe -a $$(while read id; do echo
pnp:d$$id; done < /sys$devpath/id)'"

what is in /sys/devices/pnp1/01:01/id  ??
Comment 11 Miroslav Pragl 2008-06-19 08:47:57 EDT
1. sorry for confusing you with uppercase - it must have been obtained from 
windows device manager instead of fc9

2. in /sys/devices/pnp1/01:01/card_id there's "tBA03b0" (no quotes). There's 
no "/sys/devices/pnp1/01:01/id".

3. not sure what should I do with 80-driver-rules. Should I post mine (it's 
dated may 6 and untouched by me)

Thanks!

MP
Comment 12 Harald Hoyer 2008-06-19 09:01:45 EDT
strange..

# find /sys/devices/pnp* -name id
Comment 13 Harald Hoyer 2008-06-19 09:02:57 EDT
Jaroslav: why card_id and not id??
Comment 14 Bug Zapper 2009-06-09 20:55:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 13:58:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.